Subject: bug#41696: 27.0.91; comment-line in js-jsx-mode does not handle ReactJS markup

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 22 Oct 2020 15:21:48 +0200

Brian Leung <[email-masked]> writes:

> If you move to the live with the <div> and call M-x comment-line, the
> line is commented out with two forward slashes, instead of the proper
>
> {{/* <div>Hello</div> */}}

I know nothing about JSX, but googling for three seconds seems to say
that the comment syntax is

{/* <div>Hello</div> */}

?  In any case, I've now made js-jsx-mode comment lines in this way if
inside a JSX block.  But like I said, I don't really know the language,
so it'd be nice if somebody else gave it a look-over.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no